# Interface ListenOptions

#### Hierarchy

- Abortable
  - ListenOptions

#####
Index

### Properties

backlog?
exclusive?
host?
ipv6Only?
path?
port?
readableAll?
signal?
writableAll?

## Properties

### `Optional` backlog

backlog?: number

### `Optional` exclusive

exclusive?: boolean

### `Optional` host

host?: string

### `Optional` ipv6Only

ipv6Only?: boolean

#### Default

    false

### `Optional` path

path?: string

### `Optional` port

port?: number

### `Optional` readableAll

readableAll?: boolean

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from Abortable.signal

### `Optional` writableAll

writableAll?: boolean

Generated using TypeDoc